Subject: [seamoby] Yet Another BOF?

From: Nakhjiri Madjid-MNAKHJI1 <[email-masked]>
Date: Thu, 1 Mar 2001 17:21:06 -0600

<snip>

Nope. Not at all. That is far from the reason why Seamoby was created. Fast
handoff within the MIP protocol has been on the Mobile IP charter for longer
than this WG has existed.

We were created to offload the Mobile IP WG with non-Mobile IP related
issues,
such as CIP, Hawaii, etc. (this is in addition to paging and context
transfer,
of course).

MN>>agree, sorry. There was too much sarcasm there. But It seems that the
same issues are drifting this way.
See your own comment below.

hmmmm.....

As many of us have stated in the past (including the ADs), simply define the
problem space. Forget about the few that will constantly state that this is
possible within the MIP framework. Of course! It's software, so you can do
anything with it. The better question is whether it makes sense to change
MIP
to do what we need.

MN>> agreed again.

Anyways, the MM team put together -01, and it is looking quite good, but
does
require some additional work, and -02 will be forthcoming, I'm sure. I will
be
sitting down with the ADs in Minn. to work out a plan.

MN>> No offense to the authors of the drafts, I did read the draft and I
think I can empathize to a certain degree with the authors about the way
they had to write it, but it seems like it has brought some of the old
flames back to this list. I for one, although liked the scenario
description, think there was too much weight on MIP, with a lot of
comparisons that could be perceived as subjective by some MIP proponents.
Relying on or interoperability with MIP, could be reduced just one issue
among all the issues in a micromobility problem statement draft. 
Don't get me wrong, I want to speak neither for nor against MIP. Judging
from the draft, I just think seamoby MM covers a larger problem area for
mobility, and that is good IMHO.

<snip>

> In respond to Pat C., I'd say I am all for the design teams, let's
continue
> the work. The design team were never closed, anybody can join, even
somebody
> as dumb as me, they were just more focused on seamoby issues.

Good, that's the response I seem to get most often.

PatC

MN>> glad to hear that.

Madjid

---

From: Scott Bradner <[email-masked]>
Date: Wed, 28 Feb 2001 16:02:39 -0500 (EST)

anything that includes the text "That excludes vanilla MIP as a solution"
does not look like a requirements discusison to me 

why is it so hard to discuss what the actual requirents are without
talking about solutions?

Scott

---

From: [email-masked]
Date: Thu, 1 Mar 2001 16:25:31 -0600

Hi Charlie,

.begin  :-) :-O  <- (foot)  :-)

Many pundits state (maybe its in your new book :-)) that mobile hosts will soon
out number fixed hosts.  This makes me think its a good thing that MIP is
becoming the Swiss army knife of mobility.  My thoughts now are that mobility
should be completely embedded into IPvX itself.  Thus MIP should be selectively
absorbed into IP.  IPv6 took some steps in that direction.  Of course a process
such as this would take years.  Why should mobility be separate from the routing
fabric of the global Internet if most the hosts are mobile?

I think its interesting how a double standard has been applied to the rigour
used
when developing macro and micro techniques,  We have been told that qualitative
words like fast wont do yet the  MIP "fast" handoff work is littered with them.

Do you think IPv4 / IPv6 bi-furcated MIP with fast smooth and HMIP will still be
pretty simple when all is RFCd?

People have tried to solve all kinds of problems with SIP and PPP and RADIUS
in places where something else would have worked better.  So I don't understand
your point.  You know the old idiom, if your only  tool is a hammer, everything
looks
like a nail.  In the case of mobility problems, people come to the IETF and see
one mobility tool RFC 2002 (there are some screwdrivers and wrenches being
worked on).

You said un-adorned meaning no speed tricks right?  If not, then better latency
characteristics begs the question of what baseline?  Does the MIP WG expect the
SeaMoby WG to predict how "fast" fast is?   Even unadorned how would SeaMoby
determine a baseline considered fair by all?  Also, this work as James has
indicated would take analytical modelling, simulation, and possibly prototypes
and
or measurement.

Thank you,

Phil Neumiller

Sent by:  "Charles E. Perkins" <[email-masked]>

To:   Gary Kenward <[email-masked]>
cc:   [email-masked] (Phil Neumiller/MW/US/3Com)
Subject:  Re: [seamoby] Yet Another BOF?

Hello Gary,

That's an interesting statement.  You might apply it to
other protocols to figure out:

"well, we can make SIP do that"
"well, we can make RADIUS do that"
"well, we can make PPP do that"

Mobile IP is supposed to be pretty simple, all in all,
just a way to associate a routing address to an identifying
address as needed.  Now [seamoby-mm] is presumably going to
make some protocol that enables local routability with
better latency characteristics, in addition to the global
association managed by ("unadorned") Mobile IP.  Or,
perhaps instead of, but I don't see so much why the latter.

But, as the success of IP proves, network-layer addressing
is so powerful that it is easy to imagine ways to fiddle
with it and get a lot of cool results.

Thus, it is easy to understand
"well, we can make Mobile IP do that"...
And I don't think it's necessarily an
unfortunate thing that people are thinking
about such things.  But, on the other hand,
it's important to avoid protocol bloat and
unnecessary requirements.  To me that just
means that good engineering is required.

Regards,
Charlie P.

> Gary Kenward wrote:
>
> It's just my perception Scott, but it seems like the response to any
> identified requirement is "well, we can make MIP do that"....
>
> Gary
>
> > -----Original Message-----
> > From: Scott Bradner [mailto:[email-masked]]
> > Sent: Wednesday, February 28, 2001 4:03 PM
> > To: [email-masked]; Kenward, Gary [WDLN2:AN10:EXCH];
> > [email-masked]
> > Cc: [email-masked]; [email-masked]; [email-masked]
> > Subject: RE: [seamoby] Yet Another BOF?
> >
> >

---

From: "Gary Kenward" <[email-masked]>
Date: Wed, 28 Feb 2001 15:19:26 -0500

Sorry Phil, I guess I misunderstood. The email in the front of my
mind from Phil didn't discuss paging, he was making a general argument.

My apologies for being confused.

Gary

> From: James Kempf [mailto:[email-masked]]
> Sent: Wednesday, February 28, 2001 3:08 PM
> To: Kenward, Gary [WDLN2:AN10:EXCH]; [email-masked];
> [email-masked]
> Hi Gary,
> I think you missed what I said about paging.
> 
> If you read the paging problem statement draft carefully, you 
> will see that 
> practically
> everything that a paging protocol would do could be done by MIP. The 
> problem is,
> it would result in a considerable complexity increase, and 
> would compromise
> the utility of dormant mode for the mobile. Thus the 
> conclusion, a paging 
> protocol for IP would be a benefit.
> 
> If the MM folks can demonstrate the same w.r.t. to mobility, 
> particularly 
> for security and QoS, then I think a case can be made for an 
> MM protocol. 
> With all due respect to the MM design team and to John, the 
> draft editor, 
> the draft did not present such a clear case (at least, not 
> the 00 draft, I 
> have yet to read the 01 draft), at least not to me.
> If the mobile IP proponents are making these statements, then it is 
> incumbent upon the MM proponents to say: "Oh yeah? Show me 
> how!". If they 
> can't come up with a solution, and a sketch of an MM solution 
> is simpler, 
> then MM is clearly the way to go. The solution doesn't have 
> to be complete, 
> even a simple description is usually enough to see whether 
> the MIP solution 
> would be more complex or compromise particular requirements. 
> However, if in 
> the end, the mobile IP solution is good enough, in the
> sense that it satisfies the requirements, and the working 
> group agrees, 
> then its no good going off in a huff and accusing the mobile 
> IP proponents 
> of stonewalling.
> 
> I have no problem with giving the MM design team more time, since the 
> problem is more complex (and I hope the IESG will agree), 
> but, in the end, 
> I expect to see a technically based analysis, including 
> requirments and how 
> mobile IP can't solve them. It's OK to dream, but the rubber 
> hits the road 
> when you have to explain to skeptical engineers why your 
> completely new 
> solution will replace the existing solution in which they've 
> invested much 
> design and perhaps even implementation effort.
> 
>                  jak
> 
> At 01:18 PM 2/28/01 -0500, Gary Kenward wrote:
> 
> >James:
> >
> >   I think you miss Phil's point. It's all simply a matter of
> >software, and no doubt, with enough extensions, modifications,
> >and bit twiddling, we could turn ARP into some version of a
> >mobility protocol (or any other protocol, heck, there are still
> >people working on mobile wireless ATM).
> >
> >    The frustration comes because with each attempt at a
> >problem statement, MIP proponents come forth and state:
> >"oh, well sure, we can make MIP do that". No problem statement
> >for MM will ever be sufficient if this is the nature of the game.
> >
> >With all due respect,
> >Gary
> 
>

---

From: Kulwinder Atwal <[email-masked]>
Date: Wed, 28 Feb 2001 22:01:52 -0500

3.2 MANET / Ad-Hoc Networking Comparison

   The MANET WG in the IETF has an important charter to create a
   protocol for mobiles arranged in arbitrary and highly dynamic
   associations.  This work is striving for robust and highly scalable
   routing solutions.  Currently, MANET is not considering fast or
   seamless handover.

   In many instances, for example small residential networks found in
   the home, the network may be relatively small and has far less
   dynamics.  The network may still have a requirement for fast and/or
   seamless handovers. For this reason there may be some overlap
   between SeaMoby and ad-hoc networking solutions.  Therefore, SeaMoby
   MUST be able to co-exist gracefully with any MANET solutions
   algorithm that does become standardized.

> From: [email-masked] [mailto:[email-masked]]
> Sent: Tuesday, February 27, 2001 6:51 PM
> To: [email-masked]
> Subject: [seamoby] Yet Another BOF?
> 
> 
> 
> 
> 
> After a brief history with mobility BOFs,  I am convinced 
> that they are of
> limited use.  Perhaps an
> informational RFC is a better approach (not my idea).  I am 
> convinced that many
> of us (perhaps
> Gary, (Andrew, James, John, Peter, and the other OBAST 
> disciples:-))) that
> wanted to build true
> all IP based, edge oriented, routers with wireless cards, 
> with a standardized
> backhaul, some
> how got muscled out of the IETF by the powerful forces of the 
> MIP and MANET
> groups.  

In the Micro-mobility draft the following section appears:

3.2 MANET / Ad-Hoc Networking Comparison

   The MANET WG in the IETF has an important charter to create a
   protocol for mobiles arranged in arbitrary and highly dynamic
   associations.  This work is striving for robust and highly scalable
   routing solutions.  Currently, MANET is not considering fast or
   seamless handover.

   In many instances, for example small residential networks found in
   the home, the network may be relatively small and has far less
   dynamics.  The network may still have a requirement for fast and/or
   seamless handovers. For this reason there may be some overlap
   between SeaMoby and ad-hoc networking solutions.  Therefore, SeaMoby
   MUST be able to co-exist gracefully with any MANET solutions
   algorithm that does become standardized.

Comments:

Why 'MUST' SeaMoby be confined by MANET/MIP?  
If SeaMoby does its job there will be no need for MANET in local mobility.
If SeaMoby does its job there will be no need for MIP in local mobility.

Are we forgetting that devices in the home are low cost?
Why would any vendor support MIP, MANET and Seamoby to do one thing: moving?
Why would any Bluetooth vendor support three protocols when the same vendor 
can go to the Bluetooth SIG and use the work of a SIG WG to get one
protocol?

The title of the section says ,"Comparion", but states a mandatory
requirement.
By making MANET a 'MUST' requirement for Seamoby is a sure way to see that
Seamoby is 
never deployed.

I would like someone the justify the opening statement in section 3.2:

   The MANET WG in the IETF has an important charter to create a
   protocol for mobiles arranged in arbitrary and highly dynamic
   associations.

Is the MANET charter more important than the SeaMoby Charter?

What is an "arbitary association" and how does it differ from mobility?

What is the timescale for "highly dynamic associations"?

- Kulwinder.